@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=
SET TASK_ID=

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host" SET HOSTNAME=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port" SET SERVERPORT=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" SET TASK_ID=%1 & SHIFT 

IF NOT "%1"=="" GOTO help

IF "%TASK_ID%"=="" GOTO help

IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG% -conntype SOAP -host %HOSTNAME% -port %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/taskIndexUpdate.jy" %TASK_ID%

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG% %TASK_ID% -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/taskIndexUpdate.jy" 

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    taskIndexUpdate.bat [options...] taskID
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>        user name of admin user
ECHO    -p ^<password^>, -password ^<password^>        user password (unencrypted)
ECHO    -host                                      server host name, must be used with port
ECHO    -port                                      server SOAP port number
ECHO.
ECHO taskID:
ECHO    Enter the task ID for the task to be updated in the task search index.
ECHO.



GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL